- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnIntArrayData Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

int array function set for dependency node data.

MFnIntArrayData allows the creation and manipulation of MIntArray data objects for use in the dependency graph.

If a user written dependency node either accepts or produces MIntArrays, then this class is used to extract or create the data that comes from or goes to other dependency graph nodes. The MDataHandle::type method will return kIntArray when data of this type is present. To access it, the MDataHandle::data method is used to get an MObject for the data and this should then be used to initialize an instance of MFnIntArrayData.

`#include <MFnIntArrayData.h>`

Inheritance diagram for MFnIntArrayData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnIntArrayData ()
| Destructor.
| MFnIntArrayData ()
| Default constructor.
| MFnIntArrayData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
unsigned int | length (MStatus *ReturnStatus=NULL) const
| Return the number of integers in the instance.
int | operator[] (unsigned int index) const
| Extract the indicated integer from the const instance.
MStatus | set (int element, unsigned int index)
| Set the integer element at the specified index of this array.
MStatus | copyTo (MIntArray &) const
| Copy all the integers in the instance into the given MIntArray.
MStatus | set (const MIntArray &newArray)
| Set the instance to contain the integers defined in the given MIntArray.
MIntArray | array (MStatus *ReturnStatus=NULL)
| Return an MIntArray containing the integer array currently operated upon by the function set.
MObject | create (MStatus *ReturnStatus=NULL)
| Create a new MObject, attach it to this instance, and initialize it to contain no ints.
MObject | create (const MIntArray &in, MStatus *ReturnStatus=NULL)
| Create a new MObject, attach it to this instance, and initialize it to contain the data from the given MIntArray.
| MFnIntArrayData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
int & | operator[] (unsigned int index)
| NO SCRIPT SUPPORT.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnIntArrayData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnIntArrayData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kIntArrayData.

Reimplemented from MFnData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnIntArrayData".

Reimplemented from MFnData.

unsigned int length | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the number of integers in the instance.

Parameters:

  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  The number of integers in the instance

int operator[] | ( | unsigned int | index | ) | const

Extract the indicated integer from the const instance.

No checking is done by this class to ensure that the index is valid - use the length method to determine the size of the array. If the instance is not attached to an MObject, this method will return an integer containing zero.

Parameters:

  [in] | index | the index of the integer to extract

Returns:
  The indicated integer

MStatus set | ( | int | element,
|  | unsigned int | index
| ) |  |

Search for all occurrences

Set the integer element at the specified index of this array.

No checking is done by this class to ensure that the index is valid - use the length method to determine the size of the array.

Parameters:

  [in] | element | the element
  [in] | index | the index of the integer to extract

Returns:
  - kSuccess operation successful
  - kFailure instance is not attached to an MObject

MStatus copyTo | ( | MIntArray & | dest | ) | const

Search for all occurrences

Copy all the integers in the instance into the given MIntArray.

Parameters:

  [out] | dest | the MIntArray to populate

Returns:
  - kSuccess operation successful
  - kFailure instance is not attached to an MObject

MStatus set | ( | const MIntArray & | array | ) |

Search for all occurrences

Set the instance to contain the integers defined in the given MIntArray.

Parameters:

  [in] | array | the MIntArray containing the data to set into this instance

Returns:
  - kSuccess operation successful
  - kFailure instance is not attached to an MObject

MIntArray array | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Return an MIntArray containing the integer array currently operated upon by the function set.

The MIntArray returned by this method is editable, so any changes to the return instance also affects the MObject operated upon by this function set.

Parameters:

  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  A copy of the MIntArray held in this instance

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Create a new MObject, attach it to this instance, and initialize it to contain no ints.

Parameters:

  [out] | ReturnStatus | kSuccess

Returns:
  The newly created MObject

MObject create | ( | const MIntArray & | arr,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Create a new MObject, attach it to this instance, and initialize it to contain the data from the given MIntArray.

Parameters:

  [in] | arr | the data to use when initializing this instance
  [out] | ReturnStatus | kSuccess

Returns:
  The newly created MObject

int & operator[] | ( | unsigned int | index | ) |

NO SCRIPT SUPPORT.

Extract the indicated integer from the instance.

by the function set. The integer returned by this method is editable, so any changes to the return instance also affects the MObject operated upon by this function set.

No checking is done by this class to ensure that the index is valid - use the length method to determine the size of the array. If the instance is not attached to an MObject, this method will return an integer containing zero.

Parameters:

  [in] | index | the index of the integer to extract

Returns:
  The indicated integer

MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData
MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData MFnIntArrayData